# Timer

Timer times the time it took you to realize your project

Counts the time in your editor inside on directory.
Not beeing inside the editor for less than 5 minutes gets counted as beeing
inside the editor.

## Usage

### Show time

```:Timer```: prints the time inside this directory. If ```.timer.toml``` exists it get's included.

```:TimerLog```: logs the current time table.


### Save time

Time gets automatically saved, when neovim is closed. Given that the ```.timer.toml``` file exists.
If it doesn't Timer searches the next 10 higher directories for one. If there isn't one either nothing get's persisted. 

```:TimerSave```: saves the current time to ```.timer.toml```. If the file doesn't exist it gets created.

## Dependencies

You must have the ```hostname``` util installed on your system.

```sh
## on Arch based distros:
sudo pacmn -S inetutils
```

## Installation

Lunar vim:
```lua
lvim.plugins = {
  {
    "schreifuchs/timer",
    url = "https://git.schreifuchs.ch/schreifuchs/timer.git",
    config = function()
      require('timer').setup()
    end
  },
}
```
